
QGIS Application - Bug report #15887

[Advanced Digitizing] hard constraint are overwritten by snapping

2016-11-23 01:13 PM - R. R.

Status: Closed

Priority: High

Assignee: Denis Rouzaud

Category: Digitising

Affected QGIS version:2.18.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 23805

Description

After enabling 'Distance'(d) or 'Angle' (a) in the 'Advanced Digitizing Panel', snapping to points that are not located at the given distance

or angle should be deactivated (see screencast).

History

#1 - 2016-11-23 01:16 PM - R. R.

- File 15887.zip added

#2 - 2016-11-29 04:41 AM - R. R.

See also: #15906 Snapping to vertex while using parallel/perpendicular digitizing causes a vertex to be placed incorretly

#3 - 2017-05-01 01:02 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#4 - 2018-01-23 07:27 PM - Denis Rouzaud

- Subject changed from Snapping behavior for 'Distance' (d) and 'Angle' (a) to [Advanced Digitizing] hard constraint are overwritten by snapping

- Priority changed from Normal to High

- Assignee set to Denis Rouzaud

#5 - 2018-02-14 08:02 PM - Denis Rouzaud

duplicate of #16998

#6 - 2018-02-14 08:52 PM - Nyall Dawson

- Resolution set to duplicate

- Status changed from Open to Closed

Files

158867.mp4 1.46 MB 2016-11-23 R. R.

15887.zip 8.15 KB 2016-11-23 R. R.
